Bug 151488 - sk98lin driver drops udp packets
sk98lin driver drops udp packets
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: kernel (Show other bugs)
3.0
i386 Linux
medium Severity high
: ---
: ---
Assigned To: John W. Linville
Brian Brock
:
Depends On:
Blocks: 156320
  Show dependency treegraph
 
Reported: 2005-03-18 09:52 EST by Hosting 2000 Account
Modified: 2007-11-30 17:07 EST (History)
3 users (show)

See Also:
Fixed In Version: RHSA-2005-663
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-09-28 10:51:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
The fix (1.39 KB, patch)
2005-03-18 09:54 EST, Hosting 2000 Account
no flags Details | Diff

  None (edit)
Description Hosting 2000 Account 2005-03-18 09:52:06 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.6) Gecko/20050223 Firefox/1.0.1

Description of problem:
sk98lin driver drops udp frames > 200 bytes without checksum.

To fix it apply the following patch in drivers/net/sk98lin, taken from the
official driver
http://www.syskonnect.com/syskonnect/support/driver/d0102_driver.html

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. send a large udp-packet without checksum to the machine and you will get no reply
2.
3.
  

Additional info:
Comment 1 Hosting 2000 Account 2005-03-18 09:54:01 EST
Created attachment 112126 [details]
The fix
Comment 2 John W. Linville 2005-03-21 15:43:01 EST
I have incorporated the patch in the test kernels available here:

   http://people.redhat.com/linville/kernels/rhel3/

Please give them a try and report the results.  Thanks!

P.S.  What purpose is served by sending a large udp-packet without a checksum? 
Just curious... :-)
Comment 3 Hosting 2000 Account 2005-03-22 04:03:52 EST
I could not find the sk98lin driver in the kernel package. Isn't it part of
kernel-unsupported?

Novell Border Manager for Windows obviously sends udp packets without checksum,
which our router with sk98lin drops. 
Comment 4 John W. Linville 2005-03-22 10:58:14 EST
Right you are...I have included the unsupported rpms as well...they are
available at the same link as in comment 2.

Please give them a try and report the results.  Thanks!
Comment 5 Hosting 2000 Account 2005-03-23 02:51:02 EST
It works great. Thank you.
Comment 7 Ernie Petrides 2005-04-20 23:18:39 EDT
A fix for this problem has just been committed to the RHEL3 U6
patch pool this evening (in kernel version 2.4.21-32.1.EL).
Comment 14 Red Hat Bugzilla 2005-09-28 10:51:33 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2005-663.html

Note You need to log in before you can comment on or make changes to this bug.